module Util.Function where

infixr 9 .!, ..., ....

(.!) :: (c -> d) -> (a -> b -> c) -> a -> b -> d
(.!) = (.) . (.)

(...) :: (d -> e) -> (a -> b -> c -> d) -> a -> b -> c -> e
(...) = (.!) . (.)

(....) :: (e -> f) -> (a -> b -> c -> d -> e) -> a -> b -> c -> d -> f
(....) = (...) . (.)

